/**
 * Interaction en mode console
 * 
 * @author B.Carre at Polytech Lille
 * 
 */

import java.text.DecimalFormat;
import java.util.Scanner;


public class AnemometreConsole {

    static Scanner input = new Scanner(System.in);

    static void printState(Convertisseur appareil) {
        System.out.println(
                "km/h= " + new DecimalFormat("0.00").format(appareil.getKMH())
                + " noeuds= " + new DecimalFormat("0.00").format(appareil.getNoeuds())
                + " force= " + appareil.getForce()
        );
    }

    public static void main(String[] args) {
        Convertisseur appareil = new Convertisseur();
        int choix;
        double releve;
        System.out.println("1: releve en km/h\n2: releve en noeuds ?");
        choix = input.nextInt();
        switch (choix) {
            case 1:
                System.out.println("releve?");
                releve = input.nextDouble();
                appareil.setKMH(releve);
                printState(appareil);
                break;
            case 2:
                System.out.println("releve?");
                releve = input.nextDouble();
                appareil.setNoeuds(releve);
                printState(appareil);
                break;
            default:
                System.err.println("error: 1 ou 2...");
        }
    }
}
